main()
{
maps\mp\_load::main();

setExpFog(0.0001, 0.55, 0.6, 0.55, 0);
// setCullFog(0, 16500, 0.55, 0.6, 0.55, 0);
ambientPlay("ambient_france");

game["allies"] = "american";
game["axis"] = "german";
game["attackers"] = "allies";
game["defenders"] = "axis";
game["american_soldiertype"] = "normandy";
game["german_soldiertype"] = "normandy";

setcvar("r_glowbloomintensity0","1");
setcvar("r_glowbloomintensity1","1");
setcvar("r_glowskybleedintensity0",".25");

thread begindoor();
thread trap1();
thread trap2();
thread trap3();
thread trap4();
thread trap5();
thread trap6();
thread trap7();
thread enddoor();

thread teleporter();
}

begindoor()
{
doortrigger = getEnt ("startdoortrig","targetname");
door = getent ("startdoor", "targetname");

doortrigger setHintString("Press [Use] to open the door");
doortrigger waittill("trigger", player);
doortrigger delete();

door moveZ (192, 4);
}

trap1()
{
	thread trap1_1();
	thread trap1_2();
}

trap1_1()
{
	brush = getEnt ("trap1_1","targetname");

	while(1)
	{
		brush movey(-80,1.0,0.01,0.01);
		brush waittill("movedone");
		brush movey(80,1.0,0.01,0.01);
		brush waittill("movedone");
	}
}

trap1_2()
{
	brush = getEnt ("trap1_2","targetname");

	while(1)
	{
		brush movey(80,1.0,0.01,0.01);
		brush waittill("movedone");
		brush movey(-80,1.0,0.01,0.01);
		brush waittill("movedone");
	}
}

trap2()
{
	trig = getEnt ("trigger1","targetname");
	brushl1 = getEnt ("trap1_l1","targetname");
	brushl2 = getEnt ("trap1_l2","targetname");
	brushr1 = getEnt ("trap1_r1","targetname");
	brushr2 = getEnt ("trap1_r2","targetname");

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	random = randomint(4);

	switch(random)
	{
		case 0:
			brushl1 notsolid();
			brushr2 notsolid();
			break;

		case 1:
			brushr1 notsolid();
			brushl2 notsolid();
			break;

		case 2:
			brushr1 notsolid();
			brushr2 notsolid();
			break;

		case 3:
			brushl1 notsolid();
			brushl2 notsolid();
			break;
	}

}

trap3()
{
	trig = getEnt ("trigger2","targetname");
	brush = getEntarray ("trap4","targetname");
	dmgtrig = getEnt ("damagetrigger1","targetname");

	thread trap3_elevator();

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	thread movedmgtrig(dmgtrig);

	for(i=0;i<brush.size;i++)
	{
		brush[i] movez(-350,2);
	}
		
	brush[0] waittill("movedone");

	wait 2;

	thread movedmgtrig2(dmgtrig);


	for(i=0;i<brush.size;i++)
	{
		brush[i] movez(350,2);
	}

}

movedmgtrig(dmgtrig)
{
	for(i=0;i<20;i++)
	{
		dmgtrig.origin += (0,0,-17.5);

		wait .1;
	}
}

movedmgtrig2(dmgtrig)
{
	for(i=0;i<20;i++)
	{
		dmgtrig.origin += (0,0,17.5);

		wait .1;
	}
}

trap3_elevator()
{
	brush = getEntarray ("trap3","targetname");

	while(1)
	{
	for(i=0;i<brush.size;i++)
	{
		brush[i] movez(184,3);
	}

	wait 5;

	for(i=0;i<brush.size;i++)
	{
		brush[i] movez(-184,2);
	}

	wait 3;
	}

}

trap4()
{
	trig = getEnt ("trigger3","targetname");
	brush = getEnt ("trap5","targetname");

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	while( isDefined( brush ) )
	{
		brush rotateRoll ( 180, 2 );
		wait 2;
	}

}

trap5()
{
	trig = getEnt ("trigger4","targetname");

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	thread trap5_1();
	thread trap5_2();
	thread trap5_3();

}
trap5_1()
{
	zwaai1 = getent ("trap6_1", "targetname");
	zwaai2 = getent ("trap6_2", "targetname");

	zwaai1 rotateRoll(90, 0.5);
	zwaai2 rotateRoll(90, 0.5);
	zwaai2 waittill("rotatedone");
	while(1)
	{
		zwaai1 rotateRoll(-180, 1);
		zwaai2 rotateRoll(-180, 1);
		zwaai2 waittill("rotatedone");
		zwaai1 rotateRoll(180, 1);
		zwaai2 rotateRoll(180, 1);
		zwaai2 waittill("rotatedone");
		wait .01;
	}
}
trap5_2()
{
	zwaai1 = getent ("trap6_3", "targetname");
	zwaai2 = getent ("trap6_4", "targetname");

	zwaai1 rotateRoll(-90, 0.5);
	zwaai2 rotateRoll(-90, 0.5);
	zwaai2 waittill("rotatedone");
	while(1)
	{
		zwaai1 rotateRoll(180, 1);
		zwaai2 rotateRoll(180, 1);
		zwaai2 waittill("rotatedone");
		zwaai1 rotateRoll(-180, 1);
		zwaai2 rotateRoll(-180, 1);
		zwaai2 waittill("rotatedone");
		wait .01;
	}
}
trap5_3()
{
	zwaai1 = getent ("trap6_5", "targetname");
	zwaai2 = getent ("trap6_6", "targetname");

	zwaai1 rotateRoll(90, 0.5);
	zwaai2 rotateRoll(90, 0.5);
	zwaai2 waittill("rotatedone");
	while(1)
	{
		zwaai1 rotateRoll(-180, 1);
		zwaai2 rotateRoll(-180, 1);
		zwaai2 waittill("rotatedone");
		zwaai1 rotateRoll(180, 1);
		zwaai2 rotateRoll(180, 1);
		zwaai2 waittill("rotatedone");
		wait .01;
	}
}

trap6()
{
	trig = getEnt ("trigger5","targetname");
	brushl1 = getEnt ("trap5left1","targetname");
	brushl2 = getEnt ("trap5left2","targetname");
	brushl3 = getEnt ("trap5left3","targetname");
	brushr1 = getEnt ("trap5right1","targetname");
	brushr2 = getEnt ("trap5right2","targetname");
	brushr3 = getEnt ("trap5right3","targetname");

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	random = randomint(4);

	switch(random)
	{
		case 0:
			brushl1 notsolid();
			brushr2 notsolid();
			brushl3 notsolid();
			break;

		case 1:
			brushr1 notsolid();
			brushl2 notsolid();
			brushr3 notsolid();
			break;

		case 2:
			brushr1 notsolid();
			brushr2 notsolid();
			brushl3 notsolid();
			break;

		case 3:
			brushl1 notsolid();
			brushl2 notsolid();
			brushr3 notsolid();
			break;
	}

}

trap7()
{
	trig = getEnt ("trigger6","targetname");
	brush = getEnt ("trap7","targetname");

	trig setHintString("Press [Use] to activate Death Trap");
	trig waittill("trigger", player);
	trig delete();

	brush movez(336,1);

	wait 2;

	brush movez(-336,2);

}

enddoor()
{
doortrigger = getEnt ("enddoortrig","targetname");
door = getent ("enddoor", "targetname");

doortrigger setHintString("Press [Use] to open the door");
doortrigger waittill("trigger", player);
doortrigger delete();

iprintlnbold("The ^1bananaphone^7 was picked up by " + player.name);

door moveZ (192, 4);
}

teleporter()
{
	thread tele1();
	thread tele2();
}

tele1()
{

	entTransporter = getent("teleporteingang","targetname");

	entTransporter thread Transporter1();

}


Transporter1()
{
  while(true)
  {
    self waittill("trigger",other);
    entTarget = getent("eingangent", "targetname");

    wait(0.10);
    other setorigin(entTarget.origin);
    other setplayerangles(entTarget.angles);
    //iprintlnbold ("You have been teleported !!!");
    wait(0.10);
  }
}

tele2()
{

	entTransporter = getent("teleportausgang","targetname");

	entTransporter thread Transporter2();

}


Transporter2()
{
  while(true)
  {
    self waittill("trigger",other);
    entTarget = getent("ausgangent", "targetname");

    wait(0.10);
    other setorigin(entTarget.origin);
    other setplayerangles(entTarget.angles);
    //iprintlnbold ("You have been teleported !!!");
    wait(0.10);
  }
}

